<template>
 	<div id="overview">
 		<div id="body">
			<div class="container bg-light">				
			</div>
					<div class="container hotelblock">
						<div class="col-md-12">
							<h4>Almost done!</h4>
							<p>We are almost there. Make sure to review this overview and modify wherever needed.</p>
							<hr>
						</div>
						<div class="col-md-6">
							<h4>Booker Info</h4>
							<p>Name: {{formdata.gender.value}} {{formdata.firstName.value}} {{formdata.lastName.value}}</p>
							<p>Arrival: 2018-04-12T00:00:000Z</p>
							<p>Departure: 2018-04-14T00:00:000Z</p>
							<p>Total Nights: 2 nights</p>
							<br>							
							<h4>Hotel info</h4>
							<p>Booked Hotel: {{name}}</p>
							<p>Rooms: {{formdata.rooms.value}} {{roomName}}</p>
						</div>	
						<div class="col-md-6">
							<h4>Rooms</h4>
							<OverviewElement v-for="(room,key) in formdata.roomList" :room="room" :roomNumber="key"></OverviewElement>

						</div>
						<div class="col-md-12"><hr></div>
						<div class="col-md-12">
							<h4>Price Total</h4>
							<p>Per night: €{{perNight}},-</p>
							<p>Total: €{{totalAmount}},-</p>
							<br>
							<hr>
						</div>

					<br>		
	        		<a href="#" class="btn btn-danger pull-right">
	          		Reservation Setup</a> 
	          		<a href="#" class="btn btn-link pull-right"><p>Cancel</p></a> 
	          		<div class="col-md-12"><br></div>  			
		</div>
		<div class="container"><div class="col-md-12"><br></div></div></div>
 	</div>
</template>

<script>	

	import OverviewElement from "@/components/OverviewElement";

	export default{
		name: 'overviewComponent',	
		components: {
			OverviewElement,
		},
		props: {
			formdata: {
				type: Object,
				required: true,
			},
			name: {
				type: String,
				required: true,
			},	
		},
		computed: {
			roomName(){
				if(this.formdata.rooms.value===1){
					return "room";
				}
				return "rooms";
			}, 
			perNight(){
				var amount = 0;
				this.formdata.roomList.forEach(function(room){
					amount += room.price;
				});
				return amount;
			},
			totalAmount(){
				return this.perNight * 2;
			}
		}
	}

</script>